Package ru.bitel.bgbilling.modules.ipn.server.bean

# Class IfaceManager

java.lang.Object
ru.bitel.bgbilling.modules.ipn.server.bean.IfaceManager

    public class IfaceManager
    extends java.lang.Object

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `IfaceManager​(java.sql.Connection con, int mid)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `deleteIface​(int id)` | Удаляет интерфейс по его коду
  `Iface` | `getIface​(int id)` | Возвращает интерфейс по его коду
  `Iface` | `getIface​(int sourceId, int number)` | Возвращает интерфейс по его источнику и числу
  `java.util.List<Iface>` | `getSourceIfaceList​(int sourceId)` | Возвращает список интерфейсов для данного источника
  `java.util.Map<java.lang.Integer,​java.util.List<Iface>>` | `getSourceIfacesMap()` | Возвращает карту источников и списков их интерфейсов
  `void` | `updateIface​(Iface iFace)` | Обновляет интерфейс

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IfaceManager

    public IfaceManager​(java.sql.Connection con, int mid)

- ## Method Details

  - ### getSourceIfacesMap

    public java.util.Map<java.lang.Integer,​java.util.List<Iface>> getSourceIfacesMap()
    Возвращает карту источников и списков их интерфейсов
    Returns:

  - ### getSourceIfaceList

    public java.util.List<Iface> getSourceIfaceList​(int sourceId)
    Возвращает список интерфейсов для данного источника
    Parameters:
      `sourceId` - код источника
    Returns:

  - ### updateIface

    public void updateIface​(Iface iFace) throws ru.bitel.bgbilling.common.BGException
    Обновляет интерфейс
    Parameters:
      `iFace` - интерфейс
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getIface

    public Iface getIface​(int id)
    Возвращает интерфейс по его коду
    Parameters:
      `id` - код интерфейса
    Returns:

  - ### getIface

    public Iface getIface​(int sourceId, int number)
    Возвращает интерфейс по его источнику и числу
    Parameters:
      `sourceId` - источник
      `number` - число
    Returns:

  - ### deleteIface

    public void deleteIface​(int id)
    Удаляет интерфейс по его коду
    Parameters:
      `id` - код интерфейса